<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for journal_detail in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  journal_detail module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'JournalDetail',
    'names'         => 'JournalDetails',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'JournalDetails',
        'sub'   => 'JournalDetails',
        'list'  => 'List of journal_details',
        'edit'  => 'Edit journal_detail',
        'create'    => 'Create new journal_detail'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'journal_id'                 => 'Please enter journal id',
        'costcenter_id'              => 'Please enter costcenter id',
        'ledger_id'                  => 'Please enter ledger id',
        'coa_id'                     => 'Please enter coa id',
        'coa_name'                   => 'Please enter coa name',
        'debit'                      => 'Please enter debit',
        'credit'                     => 'Please enter credit',
        'sort_order'                 => 'Please enter sort order',
        'created_at'                 => 'Please select created at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'journal_id'                 => 'Journal id',
        'costcenter_id'              => 'Costcenter id',
        'ledger_id'                  => 'Ledger id',
        'coa_id'                     => 'Coa id',
        'coa_name'                   => 'Coa name',
        'debit'                      => 'Debit',
        'credit'                     => 'Credit',
        'sort_order'                 => 'Sort order',
        'created_at'                 => 'Created at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'journal_id'                 => ['name' => 'Journal id', 'data-column' => 1, 'checked'],
        'costcenter_id'              => ['name' => 'Costcenter id', 'data-column' => 2, 'checked'],
        'ledger_id'                  => ['name' => 'Ledger id', 'data-column' => 3, 'checked'],
        'coa_id'                     => ['name' => 'Coa id', 'data-column' => 4, 'checked'],
        'coa_name'                   => ['name' => 'Coa name', 'data-column' => 5, 'checked'],
        'debit'                      => ['name' => 'Debit', 'data-column' => 6, 'checked'],
        'credit'                     => ['name' => 'Credit', 'data-column' => 7, 'checked'],
        'sort_order'                 => ['name' => 'Sort order', 'data-column' => 8, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'JournalDetails',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
