<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for ledger in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  ledger module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Ledger',
    'names'         => 'Ledgers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Ledgers',
        'sub'   => 'Ledgers',
        'list'  => 'List of ledgers',
        'edit'  => 'Edit ledger',
        'create'    => 'Create new ledger'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'coa_id'                     => 'Please enter coa id',
        'ledgerable_id'              => 'Please enter ledgerable id',
        'ledgerable_type'            => 'Please enter ledgerable type',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'date'                       => 'Please select date',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'debit'                      => 'Please enter debit',
        'credit'                     => 'Please enter credit',
        'currency'                   => 'Please enter currency',
        'currency_rate'              => 'Please enter currency rate',
        'currency_value'             => 'Please enter currency value',
        'user_id'                    => 'Please enter user id',
        'updated_at'                 => 'Please select updated at',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'coa_id'                     => 'Coa id',
        'ledgerable_id'              => 'Ledgerable id',
        'ledgerable_type'            => 'Ledgerable type',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'date'                       => 'Date',
        'name'                       => 'Name',
        'description'                => 'Description',
        'debit'                      => 'Debit',
        'credit'                     => 'Credit',
        'currency'                   => 'Currency',
        'currency_rate'              => 'Currency rate',
        'currency_value'             => 'Currency value',
        'user_id'                    => 'User id',
        'updated_at'                 => 'Updated at',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'coa_id'                     => ['name' => 'Coa id', 'data-column' => 1, 'checked'],
        'ledgerable_id'              => ['name' => 'Ledgerable id', 'data-column' => 2, 'checked'],
        'ledgerable_type'            => ['name' => 'Ledgerable type', 'data-column' => 3, 'checked'],
        'company_id'                 => ['name' => 'Company id', 'data-column' => 4, 'checked'],
        'branch_id'                  => ['name' => 'Branch id', 'data-column' => 5, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 6, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 7, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 8, 'checked'],
        'debit'                      => ['name' => 'Debit', 'data-column' => 9, 'checked'],
        'credit'                     => ['name' => 'Credit', 'data-column' => 10, 'checked'],
        'currency'                   => ['name' => 'Currency', 'data-column' => 11, 'checked'],
        'currency_rate'              => ['name' => 'Currency rate', 'data-column' => 12, 'checked'],
        'currency_value'             => ['name' => 'Currency value', 'data-column' => 13, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Ledgers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
