    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#journal" data-toggle="tab">{!! trans('account::journal.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#account-journal-edit'  data-load-to='#account-journal-entry' data-datatable='#account-journal-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#account-journal-entry' data-href='{{guard_url('account/journal')}}/{{$journal->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('account-journal-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('account/journal/'. $journal->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="journal">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('account::journal.name') !!} [{!!$journal->name!!}] </div>
                @include('account::admin.journal.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>