<?php

// API routes  for costcenter
Route::prefix('{guard}/account')->group(function () {
    Route::get('costcenter/form/{element}', 'CostcenterAPIController@form');
    Route::resource('costcenter', 'CostcenterAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('costcenter/form/{element}', 'CostcenterAPIController@form');
                Route::apiResource('costcenter', 'CostcenterAPIController');
            });
            // Public routes for accounts
            Route::get('account/Costcenter', 'CostcenterPublicController@getCostcenter');
        }
    );
}

// API routes  for journal
Route::prefix('{guard}/account')->group(function () {
    Route::get('journal/form/{element}', 'JournalAPIController@form');
    Route::resource('journal', 'JournalAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('journal/form/{element}', 'JournalAPIController@form');
                Route::apiResource('journal', 'JournalAPIController');
            });
            // Public routes for accounts
            Route::get('account/Journal', 'JournalPublicController@getJournal');
        }
    );
}

// API routes  for journal_detail
Route::prefix('{guard}/account')->group(function () {
    Route::get('journal_detail/form/{element}', 'JournalDetailAPIController@form');
    Route::resource('journal_detail', 'JournalDetailAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('journal_detail/form/{element}', 'JournalDetailAPIController@form');
                Route::apiResource('journal_detail', 'JournalDetailAPIController');
            });
            // Public routes for accounts
            Route::get('account/JournalDetail', 'JournalDetailPublicController@getJournalDetail');
        }
    );
}

// API routes  for ledger
Route::prefix('{guard}/account')->group(function () {
    Route::get('ledger/form/{element}', 'LedgerAPIController@form');
    Route::resource('ledger', 'LedgerAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('ledger/form/{element}', 'LedgerAPIController@form');
                Route::apiResource('ledger', 'LedgerAPIController');
            });
            // Public routes for accounts
            Route::get('account/Ledger', 'LedgerPublicController@getLedger');
        }
    );
}

