<?php

namespace Bixo\Account\Repositories\Eloquent;

use Bixo\Account\Interfaces\CostcenterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CostcenterRepository extends BaseRepository implements CostcenterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.account.costcenter.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.account.costcenter.model.model');
    }
}
