<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for costcenter in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  costcenter module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Costcenter',
    'names'         => 'Costcenters',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Costcenters',
        'sub'   => 'Costcenters',
        'list'  => 'List of costcenters',
        'edit'  => 'Edit costcenter',
        'create'    => 'Create new costcenter'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'deleted_at'          => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'user_id'                    => 'Please enter user id',
        'updated_at'                 => 'Please select updated at',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'description'                => 'Description',
        'user_id'                    => 'User id',
        'updated_at'                 => 'Updated at',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Costcenters',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
