<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for journal in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  journal module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Journal',
    'names'         => 'Journals',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Journals',
        'sub'   => 'Journals',
        'list'  => 'List of journals',
        'edit'  => 'Edit journal',
        'create'    => 'Create new journal'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Draft','Completed','Approved','Posted','Cancelled'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'code'                       => 'Please enter code',
        'date'                       => 'Please select date',
        'ref'                        => 'Please enter ref',
        'narration'                  => 'Please enter narration',
        'note'                       => 'Please enter note',
        'docs'                       => 'Please enter docs',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'code'                       => 'Code',
        'date'                       => 'Date',
        'ref'                        => 'Ref',
        'narration'                  => 'Narration',
        'note'                       => 'Note',
        'docs'                       => 'Docs',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'branch_id'                  => ['name' => 'Branch id', 'data-column' => 2, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 3, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 4, 'checked'],
        'ref'                        => ['name' => 'Ref', 'data-column' => 5, 'checked'],
        'narration'                  => ['name' => 'Narration', 'data-column' => 6, 'checked'],
        'note'                       => ['name' => 'Note', 'data-column' => 7, 'checked'],
        'docs'                       => ['name' => 'Docs', 'data-column' => 8, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Journals',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
